require 'spec_helper'

describe "asldfj", type: :request do
  let(:supplier){ create :supplier }
  let(:employee){ create :employee }
  before do
    supplier.add_employee(employee)
    login_as employee, scope: :employee
  end
  it "works" do
    supplier = create :supplier
    get "/supplier/suppliers/#{supplier.id}.json"
    api_response.data.relationships.product_categorie
    included_section = api_response.included.find{|ih| ih['type'] == 'sections'}
    included_section['relationships']['tables']['data'].should eq []
    included_section['relationships']['section-areas']['data'].should eq []
  end
end
